Bug 1282128 - babel: nothing provides python2-babel
babel: nothing provides python2-babel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: babel (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 19:47 EST by Carl George
Modified: 2016-05-07 07:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: babel-2.3.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:53:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-11-14 19:47:28 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-babel.  This can be accomplished with a virtual provides or by changing the name of the python-babel subpackage to python2-babel.

> Name: python-%{srcname}

> %package -n python2-%{srcname}

> %package -n python3-%{srcname}

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Carl George 2016-02-20 15:26:28 EST
Has there been any progress on this?  I can assist with updating the spec file if I am added as a maintainer.
Comment 2 Jan Kurik 2016-02-24 08:57:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Update System 2016-04-25 10:19:32 EDT
babel-2.3.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-608bd0b105
Comment 4 Fedora Update System 2016-04-25 13:49:55 EDT
babel-2.3.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-608bd0b105
Comment 5 Fedora Update System 2016-05-07 07:53:33 EDT
babel-2.3.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.